Unstops a token reference or all the ones linked to a card
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card |
| tokenUniqueReference | String | 48 characters | ✓ | The unique reference of the token or an empty string to stop all the tokens for the card |
| unStopReasonID | Integer | ✓ | Usually the same reason used for stopping the token.; 1 – Card lost; 2 – Card stolen; 3 – Pending query; 4 – Card consolidation; 5 – Card inactive; 6 – PIN tries exceeded; 7 – Suspected fraud; 8 – Card replaced; 9 – Card re-issued; 10 – Card schedule stop; 11 – Offline PIN tries exceeded | |
| comment | String | ✓ | Description as to why the token was deleted | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>UnStopToken</methodName>
<params>
<param>
<value>
<string>0053897254</string>
</value>
</param>
<param>
<value>
<string>66809871700</string>
</value>
</param>
<param>
<value>
<string>5270693245587369</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<string>1</string>
</value>
</param>
<param>
<value>
<string>User requested unstop</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>EA7D4EE354E39370F194A66F54880A5315296C84</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Status text indicating result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>